AdministrativeMessage


Administrative Message – Tokenization Related Messages

Sends tokenization related messages to the client.

Please click here for more information on messageName data field and the related data which is sent with these messages.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
referenceString1-255 characters✓The reference of the wallet to retrieve the balance for
messageNameString0-2048 characters✓The name of the administrative message being sent. Please see method description for more information in this field. Click here for more info on the types of messages for this field.
messageDataString0-2048 characters✓The administrative message data sent over in a KLV format.
transactionIDString1-255 characters✓Transaction ID number generated by the calling client. Note that the Transaction ID is not a unique value and may be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
    <methodName>AdministrativeMessage</methodName>
    <params>
        <param>
            <value>
                <string>0009555048</string>
            </value>
        </param>
        <param>
            <value>
                <string>a97af597-5a61-4683-be18-0f9910031743</string>
            </value>
        </param>
        <param>
            <value>
                <string>digitization.activation</string>
            </value>
        </param>
        <param>
            <value>
                <string>90106497953</string>
            </value>
        </param>
        <param>
            <value>
                <string>822190</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20200717T03:38:53</dateTime.iso8601>
            </value>
        </param>
    </params>
    <param>
        <value>
            <string>DE6AFB51241B7F9D443BC719299B06432C706DC47D76CE10D6C32401135D2D49</string>
        </value>
    </param>
</methodCall>

Response Parameters

ParametertypeDescription
resultCodeIntegerStatus code indicating transaction result
"<?xml version=""1.0"" encoding=""UTF-8""?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>
"

Administrative Message – 3D Secure OTP

Sends message with 3D Secure OTP

KLV data – ‘3D Secure OTP’ = 900.

Only if the 3DS validation option is ‘SMS OTP’:

‘Original transaction amount ’ = 004, ‘merchant description’ = 043, original currency code ’ = 049.

KLV data – ‘3D Secure OTP RefCode’ = 934.

For more information on KLV data, click here

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
referenceString1-255 characters✓The reference of the wallet the 3DS authentication is being actioned on
messageNameString0-2048 characters✓The name of the administrative message being sent
messageDataString0-2048 characters✓The administrative message data sent over in a KLV format.
transactionIDString1-255 characters✓Transaction ID number generated by the calling client. Note that the Transaction ID is not a unique value and may be duplicated over time.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
    <methodName>AdministrativeMessage</methodName>
    <params>
        <param>
            <value>
                <string>0048149752</string>
            </value>
        </param>
        <param>
            <value>
                <string>32446085</string>
            </value>
        </param>
        <param>
            <value>
                <string>3DSecureOTP</string>
            </value>
        </param>
        <param>
            <value>
                <string>4603253853400000093700404180004305test10490384090006726326</string>
            </value>
        </param>
        <param>
            <value>
                <string>460325381</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20210401T14:12:22</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>69291805E1C24E5A3ABEF5A7E0104D1E31324F4E</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

ParametertypeDescription
resultCodeIntegerStatus code indicating transaction result
<?xml version=""1.0"" encoding=""UTF-8""?>
<methodResponse>
<params>
  <param>
    <value>
      <struct>
        <member>
          <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
        </member>
      </struct>
    </value>
  </param>
</params>
</methodResponse>


Administrative Message – 3D Secure App Authentication

This message is used to trigger the process of cardholder authentication. You only need to respond to this message to indicate you have received the message and will initiate the cardholder authentication. This is then followed by calling Paymentology’s ThreeDSAuthenticationOutcome API.

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
referenceString1-255 characters✓The reference of the wallet the 3DS authentication is being actioned on
messageNameString0-2048 characters✓The name of the administrative message being sent – 3DSecureAppAuthentication
messageDataString0-2048 characters✓The administrative message data sent over in a KLV format. Will contain the following KLV fields:
4 – original transaction amount;
43 – merchant description;
49 – original currency code;

For example: 0040512345examplemerchantabc04903978 would mean 123.45 Euro at examplemerchantabc
transactionIDString1-255 characters✓Will be the unique transaction ID provided by the ACS.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key
<?xml version="1.0"?>
<methodCall>
    <methodName>AdministrativeMessage</methodName>
    <params>
        <param>
            <value>
                <string>0087654321</string>
            </value>
        </param>
        <param>
            <value>
                <string>37650043</string>
            </value>
        </param>
        <param>
            <value>
                <string>3DSecureAppAuthentication</string>
            </value>
        </param>
        <param>
            <value>
                <string>0040512345examplemerchantabc04903978</string>
            </value>
        </param>
        <param>
            <value>
                <string>460325381</string>
            </value>
        </param>
        <param>
            <value>
                <dateTime.iso8601>20210401T14:12:22</dateTime.iso8601>
            </value>
        </param>
        <param>
            <value>
                <string>69291805E1C24E5A3ABEF5A7E0104D1E31324F4E</string>
            </value>
        </param>
    </params>
</methodCall>

Response Parameters

ParametertypeDescription
resultCodeIntegerStatus code indicating transaction result
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
  <param>
    <value>
      <struct>
        <member>
          <name>resultCode</name>
            <value>
              <int>1</int>
            </value>
        </member>
      </struct>
    </value>
  </param>
</params>
</methodResponse>

Administrative Message – 3D Secure App Finalisation

This message is used to inform the client of the final status of the 3DSecure OOB authentication.

Messages include the following:

Request Path Parameters

ParametertypeLimitsrequiredDescription
terminalIDString10 characters✓The Paymentology issued terminal ID of the terminal requesting the transaction
referenceString1-255 characters✓The reference of the wallet the 3DS authentication is being actioned on
messageNameString0-2048 characters✓The name of the administrative message being sent: 3DSecureAppFinalisation
messageDataString0-2048 characters✓The adminisrative message data sent over in a KLV format will contain the following KLV fields: 274 – status.

Values indicating the status:
0 – Successfully received final status
1 – Timer on browser expired before response was received
2 – General error
3 – Transaction cancelled before response was received
transactionIDString1-255 characters✓Will be the unique transaction ID provided by the ACS.
transactionDateDate✓Transaction date generated by the calling client
checksumString✓HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key